from invoke import task
from capsule import settings

from .etc import backup as etc_backup

pre_tasks = [etc_backup]

if settings.BACKUP_POSTGRES_DATABASES:
    from .db import backup as db_backup
    pre_tasks.append(db_backup)


@task(pre=pre_tasks)
def backup(ctx):  # noqa
    """
    Run all backup tasks on this system.
    """
    pass


__all__ = [
    'backup',
]
